Bug 863959 - Sleep signal while shutting down should be ignored
Sleep signal while shutting down should be ignored
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 03:50 EDT by Christos
Modified: 2013-04-12 18:49 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 18:49:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christos 2012-10-08 03:50:28 EDT
Description of problem:
While shutting down, if I take off the charger and close the lid of my laptop, it goes to sleep instead of shutting down. Next time I try to open it again, the shutdown process is continues from where it stopped.

Version-Release number of selected component (if applicable):
F17

How reproducible:
Any reason that would generate a "sleep" signal while shutting down would probably cause that.

Steps to Reproduce (at least with a laptop):
1.Choose to shutdown system.
2.Remove charger and close lid (make sure that the power options are such that this would cause a "sleep" to be sent)
  
Actual results:
Laptop goes to sleep during shutdown.

Expected results:
Laptop should ignore sleep and shutdown normally.

Additional info:
I am using the KDE spin of F17.
Comment 1 Lennart Poettering 2013-03-07 06:28:35 EST
Fixed in git.
Comment 2 Michal Schmidt 2013-04-12 18:49:57 EDT
The fix is in F18 (at least in the version that's currently in updates-testing). At this point not much effort will be spent on systemd in F17. Only fixes for severe bugs can be expected.

Note You need to log in before you can comment on or make changes to this bug.